Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar
Interface ExpressionVisitorBoolean

All Known Subinterfaces:
  RELAXExpressionVisitorBoolean

All Known Implementing Classes:
  ExportedHedgeRuleChecker, ExpressionFinder

public interface ExpressionVisitorBoolean

ExpressionVisitor that returns boolean.

Author:
  Kohsuke KAWAGUCHI

Method Summary
`boolean` | `onAnyString()`
`boolean` | `onAttribute(AttributeExp exp)`
`boolean` | `onChoice(ChoiceExp exp)`
`boolean` | `onConcur(ConcurExp p)`
`boolean` | `onData(DataExp exp)`
`boolean` | `onElement(ElementExp exp)`
`boolean` | `onEpsilon()`
`boolean` | `onInterleave(InterleaveExp p)`
`boolean` | `onList(ListExp exp)`
`boolean` | `onMixed(MixedExp exp)`
`boolean` | `onNullSet()`
`boolean` | `onOneOrMore(OneOrMoreExp exp)`
`boolean` | `onOther(OtherExp exp)`
`boolean` | `onRef(ReferenceExp exp)`
`boolean` | `onSequence(SequenceExp exp)`
`boolean` | `onValue(ValueExp exp)`

Method Detail

### onAttribute

    public boolean onAttribute(AttributeExp exp)

### onChoice

    public boolean onChoice(ChoiceExp exp)

### onElement

    public boolean onElement(ElementExp exp)

### onOneOrMore

    public boolean onOneOrMore(OneOrMoreExp exp)

### onMixed

    public boolean onMixed(MixedExp exp)

### onList

    public boolean onList(ListExp exp)

### onRef

    public boolean onRef(ReferenceExp exp)

### onOther

    public boolean onOther(OtherExp exp)

### onEpsilon

    public boolean onEpsilon()

### onNullSet

    public boolean onNullSet()

### onAnyString

    public boolean onAnyString()

### onSequence

    public boolean onSequence(SequenceExp exp)

### onData

    public boolean onData(DataExp exp)

### onValue

    public boolean onValue(ValueExp exp)

### onConcur

    public boolean onConcur(ConcurExp p)

### onInterleave

    public boolean onInterleave(InterleaveExp p)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD